Subject: bug#11348: 24.0.95; TAB-completion in shell-command produces d:\/foo on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 May 2012 21:15:05 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 04 May 2012 13:59:43 -0400
> 
> This said, based on your description, the problem may simply come from
> shell.el's setting of pcomplete-arg-quote-list which tells pcomplete
> that \ is an escape char.
> 
> I.e. does the patch below fix the problem?

No, I still get "d:\/gnu/".

> > This works better, it produces "cd d:\gnu/ ", which is ugly, but
> > correct.
> 
> Which part is ugly?  The \, the /, or the use of a mix of them?

The mix.

> > Perhaps Stefan could at some point add some documentation about the
> > internals, that would allow mere mortals such as myself debug the
> > completion code.
> 
> I'd love to, but I'm much too deeply in it to know what needs more
> documentation, so fire away your questions and I'll reply with
> comments&docstrings.

A useful beginning would be some overview of the design and
description of the control and data flow in several popular use-cases.